<?php

class Migration_20241116202835_alter_table_my_call_flow
{
    public static function up(PDO $pdo)
    {
        $sql = "
        ALTER TABLE my_call_flow
        ADD COLUMN call_duration_after_user_connect VARCHAR(15) default 120,
        ADD COLUMN first_number VARCHAR(15) NULL,
        ADD COLUMN second_number VARCHAR(15) NULL,
        ADD COLUMN third_number VARCHAR(15) NULL,
        ADD COLUMN first_number_disturb boolean default 0,
        ADD COLUMN second_number_disturb boolean default 0,
        ADD COLUMN third_number_disturb boolean default 0;";
        $pdo->exec($sql);
    }

    public static function down(PDO $pdo)
    {
        $sql = "
        ALTER TABLE my_call_flow
        DROP COLUMN call_duration_after_user_connect;
        ";
        
        $pdo->exec($sql);
    }
}